#include <gl.h>
#include <glu.h>
#include <aux.h>
#include "glwindow.h"

#define FOVY            40.0
#define MINVIEWDISTANCE 100.0
#define MAXVIEWDISTANCE 1000.0

/* openGL settings */
void setWindowSize( int width, int height )
{
   /* setup the 3D perspective window */
   glMatrixMode( GL_PROJECTION );
   glLoadIdentity();
   gluPerspective( FOVY, (float)width / (float)height, MINVIEWDISTANCE, MAXVIEWDISTANCE );
   glMatrixMode( GL_MODELVIEW );
   /* make a viewport the acual size of the window */
   glViewport( 0, 0, width, height );
}

void paintWindow( )
{
   /* clear the buffer */
   glClear( GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT );

   /* no rotations */
   glLoadIdentity();

   /* move the image back from the camera */
   glTranslatef( 0.0, 0.0, -250.0 );
   auxWireSphere( 50.0 );

   /* swap the back draw buffer to the front */
   auxSwapBuffers( );
}
